--:SetVar Function "AUX:IsSupportedLanguage"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:IsSupportedLanguage' )
   drop function [AUX:IsSupportedLanguage]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:IsSupportedLanguage]( @LanguageId int )
returns bit
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# CHECKING IF SPECIFIED LANGUAGE IS SUPPORTED BY SQLAUX-LIBRARY:
#
# === Usage: ===
# dbo.[AUX:IsSupportedLanguage]( <Language ID> )
#
==================================================================================================*/
return IIF( @LanguageId in ( 0,21 ), 1, 0 )
/*================================================================================================*/
END
GO
/*
select dbo.[AUX:IsSupportedLanguage]( 0 ) 'Is English supported'
select dbo.[AUX:IsSupportedLanguage]( 21 ) 'Is Russial supported'
select dbo.[AUX:IsSupportedLanguage]( 2 ) 'Is French supported'
*/
